# UpdateAllSavedataRequest | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Interface UpdateAllSavedataRequest

interface UpdateAllSavedataRequest {
clientSessionId : string;
session : SessionSaveData ;
sessionSlotId : number;
system : SystemSaveData ;
}

- Defined in src/@types/PokerogueSavedataApi.ts:3

##### Index

### Properties

clientSessionId
session
sessionSlotId
system

## Properties

### clientSessionId

clientSessionId: string

- Defined in src/@types/PokerogueSavedataApi.ts:7

### session

session: SessionSaveData

- Defined in src/@types/PokerogueSavedataApi.ts:5

### sessionSlotId

sessionSlotId: number

- Defined in src/@types/PokerogueSavedataApi.ts:6

### system

system: SystemSaveData

- Defined in src/@types/PokerogueSavedataApi.ts:4